Subject: Re: softmac mtu

From: Larry Finger <[email-masked]>
Date: Sat, 23 Sep 2006 16:59:48 -0500

David Miller wrote:
> From: Larry Finger <[email-masked]>
> Date: Sat, 23 Sep 2006 16:40:15 -0500
> 
>> The maximum value for MTU is set in include/linux/if_ether.h for all
>> ethernet-type communications, not in softmac or ieee80211. I doubt
>> that one could easily change the number. It may be that the 802.11
>> standard allows bigger frames, but it looks to me as if Linux does
>> not.
> 
> 
> Not correct.  Linux is perfectly fine with setting 9000 byte MTU on
> ethernet devices that support it, and in fact just about every
> gigabit ethernet driver supports it.
> 
> That macro you see in if_ether.h is just the value of the base MTU
> limit, so larger MTU settings are easily allowable on a per-device
> basis.

Where/how does the device allow it? When I tried 'ifconfig eth0 mtu 2000' on my VIA Technologies, 
Inc. VT6102 [Rhine-II] wired controller, I got a 'SIOCSIFMTU: Invalid argument' message, which is 
the same message I get on my BCM4306 wireless card.

Larry